---
inputType: "CA10__CaAwsDbCluster__c"
testData:
  - file: test-data.json
importExtracts:
  - file: /types/CA10__CaAwsDbCluster__c/object.extracts.yaml
conditions:
  - status: "INCOMPLIANT"
    currentStateMessage: "The Cluster Deletion Protection is disabled."
    remediationMessage: "Enable deletion protection in the cluster configuration settings."
    check:
      IS_EQUAL:
        left:
          FIELD:
            path: "CA10__deletionProtection__c"
        right:
          BOOLEAN: false
  - status: "COMPLIANT"
    currentStateMessage: "The Cluster Deletion Protection is enabled."
    check:
      IS_EQUAL:
        left:
          FIELD:
            path: "CA10__deletionProtection__c"
        right:
          BOOLEAN: true
otherwise:
  status: "UNDETERMINED"
  currentStateMessage: "Unexpected values in the field."